package com.liquidnet.service.consumer.dragon.service.receiver;

import com.liquidnet.service.dragon.constant.DragonConstant;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 支付商户通知消费
 */
@Slf4j
@Component
public class RedisPayNotifyReceiver extends AbstractRedisReceiver {

    @Override
    protected String getRedisStreamKey() {
        return DragonConstant.MysqlRedisQueueEnum.DRAGON_PAY_NOTIFY_KEY.getCode();
    }

    @Override
    protected String getRedisStreamGroup() {
        return DragonConstant.MysqlRedisQueueEnum.DRAGON_PAY_NOTIFY_GROUP.getCode();
    }
}
